Bug 1473218 - Remove scripts directory from /usr/share/ansible/gdeploy
Remove scripts directory from /usr/share/ansible/gdeploy
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: RHGS 3.4.0
Assigned To: Sachidananda Urs
Depends On:
Blocks: Gluster-HC-3 1503134
  Show dependency treegraph
Reported: 2017-07-20 05:08 EDT by RamaKasturi
Modified: 2018-02-26 01:18 EST (History)
8 users (show)

See Also:
Fixed In Version: gdeploy-2.0.2-21
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2017-07-20 05:08:20 EDT
Description of problem:
Due to the bug https://bugzilla.redhat.com/show_bug.cgi?id=1471799 in gdeploy 2.0.2 scripts folder is copied to both /usr/share/ansible/gdeploy and /usr/share/gdeploy. Script folder from /usr/share/ansible/gdeploy should be removed when the fix in cockpit done. 

Version-Release number of selected component (if applicable):
gdeploy 2.0.2

How reproducible:

Steps to Reproduce:

Actual results:
Scripts folder is copied in both /usr/share/ansible/gdeploy and /usr/share/gdeploy for RHGS 3.3 release

Expected results:
script folder should be removed from /usr/share/ansible/gdeploy when bug in cockpit is fixed or in later releases of RHGS.

Additional info:
Comment 3 Sachidananda Urs 2017-11-15 10:12:14 EST
Moving back to NEW, this needs a change in downstream spec file.
Comment 4 SATHEESARAN 2018-02-16 10:24:50 EST
Tested with gdeploy-2.0.2-22.el7rhgs and RHEL 7.5 platform.
The gdeploy scripts are available under /usr/share/gdeploy/scripts directory

[root@ ~]# ls /usr/share/ansible/roles/

[root@ ~]# ls /usr/share/gdeploy/scripts/
blacklist_all_disks.sh    disable-multipath.sh
disable-gluster-hooks.sh  grafton-sanity-check.sh

Note You need to log in before you can comment on or make changes to this bug.